function image_mineralsolubility

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plots images 2.39 to 2.40 of the documentation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

temp = [2:1:20];
press = [1:1:20];

ot1 = solu_opal(15,temp,35);
ot2 = solu_opal(21,temp,35);
qt1 = solu_quartz(15,temp,35);
qt2 = solu_quartz(21,temp,35);

nt1 = solu_nacl(15,temp);
nt2 = solu_nacl(21,temp);


op1 = solu_opal(press,2,35);
op2 = solu_opal(press,20,35);
qp1 = solu_quartz(press,2,35);
qp2 = solu_quartz(press,20,35);

np1 = solu_nacl(press,2);
np2 = solu_nacl(press,20);

figure(1)% figure(1)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('m /(mol/kg)','FontSize',16)
plot(temp,ot1,'g','LineWidth',2)
plot(temp,qt1,'k','LineWidth',2)
plot(temp,nt1,'b','LineWidth',2)
plot(temp,ot2,'--g','LineWidth',2)
plot(temp,qt2,'--k','LineWidth',2)
plot(temp,nt2,'--b','LineWidth',2)
text(4,1.05,'p = 15 MPa','FontSize',12)
legend('opal','quartz','halite','opal','quartz','halite' ,'location','East' )

figure(2)% figure(1)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('p / MPa','FontSize',16)
ylabel('m /(mol/kg)','FontSize',16)
plot(press,op1,'g','LineWidth',2)
plot(press,qp1,'k','LineWidth',2)
plot(press,np1,'b','LineWidth',2)
plot(press,op2,'--g','LineWidth',2)
plot(press,qp2,'--k','LineWidth',2)
plot(press,np2,'--b','LineWidth',2)
text(4,1.05,'p = 15 MPa','FontSize',12)
legend('opal','quartz','halite','opal','quartz','halite' ,'location','East' )