function image_solubility

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plots images 2.29 to 2.38 of the documentation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

temp = [2:1:20];
temp2 = [2:1:13];
press = [1:1:20];
press2 = (1:1:10);
%ct1 = solu_co2(15,temp,0);
%ct2 = solu_co2(21,temp,0);
%cp1 = solu_co2(press,2,0);
%cp2 = solu_co2(press,20,0);
%mt1 = solu_ch4(15,temp,0);
%mt2 = solu_ch4(21,temp,0);
%mp1 = solu_ch4(press,2,0);
%mp2 = solu_ch4(press,20,0);
ct1s = solu_co2(15,temp,35);
ct2s = solu_co2(21,temp,35);
cp1s = solu_co2(press,2,35);
cp2s = solu_co2(press,20,35);
mt1s = solu_ch4(15,temp,35);
mt2s = solu_ch4(21,temp,35);
mp1s = solu_ch4(press,2,35);
mp2s = solu_ch4(press,20,35);

nt1s = solu_n2sw(15,temp,35);
nt2s = solu_n2sw(21,temp,35);
np1s = solu_n2sw(press,2,35);
np2s = solu_n2sw(press,20,35);
ot1s = solu_o2sw(15,temp,35);
ot2s = solu_o2sw(21,temp,35);
op1s = solu_o2sw(press,2,35);
op2s = solu_o2sw(press,20,35);
ht1s = solu_h2ssw(15,temp,35);
ht2s = solu_h2ssw(21,temp,35);
hp1s = solu_h2ssw(press,2,35);
hp2s = solu_h2ssw(press,20,35);

pp = (1:0.5:5);
henry_c=soluhenry_co2sw(5,2,35,pp);
henry_m=soluhenry_ch4sw(5,2,35,pp);
henry_n=soluhenry_n2sw(5,2,35,pp);
henry_o=soluhenry_o2sw(5,2,35,pp);
henry_h=soluhenry_h2ssw(5,2,35,pp);

wt1s = solu_swco2(15,temp,35);
wt2s = solu_swco2(21,temp,35);
wp1s = solu_swco2(press,2,35);
wp2s = solu_swco2(press,20,35);

for i = 1:length(temp)
cct1s(i) = solu_ch4co2(7,temp(i));
cnt1s(i) = solu_n2co2(7,temp(i));
end


for i = 1:length(press2)
ccp1s(i) = solu_ch4co2(press2(i),5);
cnp1s(i) = solu_n2co2(press2(i),5);
end



cc2t1s = solu_co2ch4(15,temp,35);
cc2t2s = solu_co2ch4(21,temp,35);
cc2p1s = solu_co2ch4(press,2,35);
cc2p2s = solu_co2ch4(press,10,35);

figure(25)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('partial pressure / MPa','FontSize',16)
plot(temp,cc2t1s,'k','LineWidth',2)
plot(temp,cc2t2s,'--k','LineWidth',2)
legend('15 MPa','21 MPa' ,'location','East' )

figure(26)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('p / MPa','FontSize',16)
ylabel('partial pressure / MPa','FontSize',16)
plot(press,cc2p1s,'k','LineWidth',2)
plot(press,cc2p2s,'--k','LineWidth',2)
legend('2C','10C' ,'location','East' )


figure(1)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('m /(mol/kg)','FontSize',16)
plot(temp,mt1s,'r','LineWidth',2)
plot(temp,ct1s,'k','LineWidth',2)
plot(temp,mt2s,'--r','LineWidth',2)
plot(temp,ct2s,'--k','LineWidth',2)
text(4,1.05,'p = 15 MPa','FontSize',12)
legend('CH_4','CO_2','CH_4','CO_2' ,'location','East' )

hold off

figure(2)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40],'ylim',[0 1.7]);
xlabel('p / MPa','FontSize',16)
ylabel('m /(mol/kg)','FontSize',16)
plot(press,mp1s,'r','LineWidth',2)
plot(press,cp1s,'k','LineWidth',2)
plot(press,mp2s,'--r.','LineWidth',2)
plot(press,cp2s,'--k','LineWidth',2)
text(4,1.05,'p = 15 MPa','FontSize',12)
legend('CH_4','CO_2','CH_4','CO_2' ,'location','East' )
hold off

figure(10)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20],'ylim',[0 2.1]);
xlabel('T / C','FontSize',16)
ylabel('m /(mol/kg)','FontSize',16)
plot(temp,nt1s,'Color',[0.4,0,1],'LineWidth',2)
plot(temp,ot1s,'-m','LineWidth',2)
plot(temp,ht1s,'Color',[0.9,1,0],'LineWidth',2)
plot(temp,nt2s,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
plot(temp,ot2s,'--m','LineWidth',2)
plot(temp,ht2s,'Color',[0.9,1,0],'LineWidth',2,'Linestyle','--')
text(4,0.9,'p = 15 MPa','FontSize',12)
legend('N_2','O_2','H_2S','N_2','O_2','H_2S','location','West' )
hold off

hold off

figure(11)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40],'ylim',[0 2.1]);
xlabel('p / MPa','FontSize',16)
ylabel('m /(mol/kg)','FontSize',16)
plot(press,np1s,'Color',[0.4,0,1],'LineWidth',2)
plot(press,op1s,'-m','LineWidth',2)
plot(press,hp1s,'Color',[0.9,1,0],'LineWidth',2)
plot(press,np2s,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
plot(press,op2s,'--m','LineWidth',2)
plot(press,hp2s,'Color',[0.9,1,0],'LineWidth',2,'Linestyle','--')
 text(5,0.6,'T =  2C','FontSize',12)
legend('N_2','O_2','H_2S','N_2','O_2','H_2S','location','West' )
hold off

figure(12)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 5]);
xlabel('partial pressure / MPa','FontSize',16)
ylabel('m /(mol/kg)','FontSize',16)
plot(pp,henry_m,'-r','LineWidth',2)
plot(pp,henry_c,'-k','LineWidth',2)
plot(pp,henry_n,'Color',[0.4,0,1],'LineWidth',2)
plot(pp,henry_o,'-m','LineWidth',2)
plot(pp,henry_h,'Color',[0.9,1,0],'LineWidth',2)

 text(5,0.6,'T =  2C','FontSize',12)
legend('N_2','O_2','H_2S','N_2','O_2','H_2S','location','West' )
hold off


figure(3)
clf
hold on
set(gca,'FontSize',14,'xlim',[10 20]);
xlabel('T / C','FontSize',16)
ylabel('m /(mol/kg)','FontSize',16)
plot(temp,wt1s,'b','LineWidth',2)
plot(temp,wt2s,'--b','LineWidth',2)
legend('p = 15 MPa','p = 20 MPa', 'location','North' )

hold off

figure(4)
clf
hold on
set(gca,'FontSize',14,'xlim',[5 20]);
xlabel('p / MPa','FontSize',16)
ylabel('m /(mol/kg)','FontSize',16)
plot(press,wp2s,'b--','LineWidth',2)
%legend('H_2O in CO_2 T = 20C', 'location','North' )
hold off

figure(23)
clf
hold on
set(gca,'FontSize',14);
xlabel('T / C','FontSize',16)
ylabel('m /(mol/kg)','FontSize',16)
plot(temp,cct1s,'-r','LineWidth',2)
plot(temp,cnt1s,'Color',[0.4,0,1],'LineWidth',2)
legend('CH_4 in CO_2','N_2 in CO_2','location','North' )
hold off

figure(24)
clf
hold on
set(gca,'FontSize',14);
xlabel('p / MPa','FontSize',16)
ylabel('m / (mol/kg)','FontSize',16)
plot(press2,ccp1s,'-r','LineWidth',2)
plot(press2,cnp1s,'Color',[0.4,0,1],'LineWidth',2)
legend('CH_4 in CO_2','N_2 in CO_2','location','North' )
hold off






press = [0:10:2100];
m = press;
temp= press;
temp(1:61) = [23:-18.5/60:4.5];
temp(61:151) = [4.5:-2.5/90:2];
temp(151:211) = [2:18/60:20];

% 
% sc = temp;
% sm = temp;
% 
% 
% %for i = 1:171 
%  %      sc(i) = solu_co2gl(press(i)./1000.*9.80665+0.1,temp(i),35); 
%  %          sm(i) = solu_ch4gas(press(i)./1000.*9.80665+0.1,temp(i),35); 
% %end
% 
for i = 1:211 
        sc(i) = solu_co2(press(i)./1000.*9.80665+0.1,temp(i),35); 
           sm(i) = solu_ch4(press(i)./1000.*9.80665+0.1,temp(i),35); 
         sn(i) = solu_n2sw(press(i)./1000.*9.80665+0.1,temp(i),35); 
end

figure(6)
clf
 title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',14,'ylim',[0 2110]);
ylabel('water depth / m','FontSize',16)
xlabel('m / (mol/kg)','FontSize',16)
plot(sm,press,'r','LineWidth',2)
plot(sc,press,'k','LineWidth',2)
plot(sn,press,'Linestyle','--','Color',[0.4,0,1],'LineWidth',2)
text(1.6,1600,'seafloor','fontsize',14,'Color',[0.7,0.5,0.5]);
line([0 2],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
legend('CH_4','CO_2','N_2', 'location','East' )
hold off


