function image_viscosity


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% plots images 3.1 to 3.4 of the documentation
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

temp = [2:1:20];

ct1 = visco_co2(15,temp);
ct2 = visco_co2(21,temp);
mt1 = visco_ch4(15,temp);
mt2 = visco_ch4(21,temp);
wt1 = visco_sw(15,temp,35);
wt2 = visco_sw(15,temp,35);
nt1 = visco_n2(15,temp);
nt2 = visco_n2(21,temp);


press = [1:1:40];

cp1 = visco_co2(press,2);
cp2 = visco_co2(press,20);
mp1 = visco_ch4(press,2);
mp2 = visco_ch4(press,20);
wp1 = visco_sw(press,2,35);
wp2 = visco_sw(press,20,35);
np1 = visco_n2(press,2);
np2 = visco_n2(press,20);

cwct1 = ct1;
cwct2 = ct1;
cwcp1 = cp1;
cwcp2 = ct1;

for i = 1:length(temp)
    m = solu_co2(15,temp(i),35);
    cwct1(i)=visco_co2sw(15,temp(i),35,m);
    m = solu_co2(21,temp(i),35);
    cwct2(i)=visco_co2sw(21,temp(i),35,m);
end

for i = 1:length(press)
    m = solu_co2(press(i),2,35);
    cwcp1(i)=visco_co2sw(press(i),2,35,m);
    m = solu_co2(press(i),20,35);
    cwcp2(i)=visco_co2sw(press(i),20,35,m);
end


figure(1)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('\eta / mPa s','FontSize',16)
plot(temp,mt1.*1000,'r','LineWidth',2)
plot(temp,ct1.*1000,'k','LineWidth',2)
plot(temp,nt1.*1000,'Color',[0.4,0,1],'LineWidth',2)
plot(temp,mt2.*1000,'--r','LineWidth',2)
plot(temp,ct2.*1000,'--k','LineWidth',2)
plot(temp,nt2.*1000,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
text(4,0.0105,'p = 15 MPa','FontSize',12)
legend('CH_4','CO_2','N_2','CH_4','CO_2','N_2', 'location','West' )
hold off

figure(2)
clf
hold on
set(gca,'FontSize',14,'xlim',[2 20]);
xlabel('T / C','FontSize',16)
ylabel('\eta / mPa s','FontSize',16)
plot(temp,wt1.*1000,'b','LineWidth',2)
plot(temp,cwct1.*1000,'c','LineWidth',2)
plot(temp,wt2.*1000,'--b','LineWidth',2)

plot(temp,cwct2.*1000,'--c','LineWidth',2)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
text(4,1.05,'p = 15 MPa','FontSize',12)
legend('seawater','seawater+CO_2','seawater','seawater+CO_2', 'location','NorthEast' )
hold off


figure(3)
clf
hold on
set(gca,'FontSize',14,'xlim',[3 40]);
xlabel('p / MPa','FontSize',16)
ylabel('\eta / mPa s','FontSize',16)
plot(press,mp1.*1000,'r','LineWidth',2)
plot(press,cp1.*1000,'k','LineWidth',2)
plot(press,np1.*1000,'Color',[0.4,0,1],'LineWidth',2)
plot(press,mp2.*1000,'--r','LineWidth',2)
plot(press,cp2.*1000,'--k','LineWidth',2)
plot(press,np2.*1000,'Color',[0.4,0,1],'LineWidth',2,'Linestyle','--')
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
text(4,0.005,'p = 15 MPa','FontSize',12)
legend('CH_4','CO_2','N_2','CH_4','CO_2','N_2', 'location','East' )
hold off

figure(4)
clf
hold on
set(gca,'FontSize',14,'xlim',[1 40]);
xlabel('p / MPa','FontSize',16)
ylabel('\eta / mPa s','FontSize',16)
plot(press,wp1.*1000,'b','LineWidth',2)
plot(press,cwcp1.*1000,'c','LineWidth',2)
plot(press,wp2.*1000,'--b','LineWidth',2)

plot(press,cwcp2.*1000,'--c','LineWidth',2)
%text(16,1900,'CO_2','FontSize',12,'FontWeight','bold')
%text(16,3400,'CH_4','FontSize',12,'FontWeight','bold')
%text(16,3900,'seawater','FontSize',12,'FontWeight','bold')
%text(9,2400,'hydrate','FontSize',12,'FontWeight','bold')
text(4,1.05,'p = 15 MPa','FontSize',12)
legend('seawater','seawater+CO_2','seawater','seawater+CO_2', 'location','NorthEast' )
hold off



press = [0:10:2100];
temp= press;
temp(1:61) = [23:-18.5/60:4.5];
temp(61:151) = [4.5:-2.5/90:2];
temp(151:211) = [2:18/60:20];


eta_c = temp;
eta_m = temp;
eta_w = temp;
eta_cw = temp;


for i = 1:211 
       m = solu_co2(press(i)./1000.*9.80665+0.1,temp(i),35); 
eta_c(i) = visco_co2(press(i)./1000.*9.80665+0.1,temp(i));
eta_m(i) = visco_ch4(press(i)./1000.*9.80665+0.1,temp(i));
eta_w(i) = visco_sw(press(i)./1000.*9.80665+0.1,temp(i),35); 
eta_n(i) = visco_n2(press(i)./1000.*9.80665+0.1,temp(i));
eta_cw(i) = visco_co2sw(press(i)./1000.*9.80665+0.1,temp(i),35,m); 
end


figure(6)
clf
 title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',14,'ylim',[0 2110],'xlim',[0 0.15]);
ylabel('water depth / m','FontSize',16)
xlabel('\eta / mPa s','FontSize',16)
plot(eta_m.*1000,press,'r','LineWidth',2)
plot(eta_c.*1000,press,'k','LineWidth',2)
plot(eta_n.*1000,press,'Linestyle','--','Color',[0.4,0,1],'LineWidth',2)
text(0.12,1600,'seafloor','fontsize',14,'Color',[0.7,0.5,0.5]);
line([0 0.15],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
legend('CH_4','CO_2','N_2', 'location','South' )
hold off

figure(7)
clf
 title('Reservoir Model','FontSize',16,'FontWeight','bold');
axis ij
hold on
set(gca,'FontSize',14,'ylim',[0 2110],'xlim',[0.5 3]);
ylabel('water depth / m','FontSize',16)
xlabel('\eta / mPa s','FontSize',16)
plot(eta_w.*1000,press,'b','LineWidth',2)
plot(eta_cw.*1000,press,'c','LineWidth',2)
text(2.5,1600,'seafloor','fontsize',14,'Color',[0.7,0.5,0.5]);
line([0.5 3],[1500 1500],'LineStyle','-','LineWidth',2,'Color',[0.7,0.5,0.5]);
legend('seawater','seawater+CO_2', 'location','West' )
hold off
