function  k2 = mkgh2o2mkgsol(k1,S)

% MKGH2O2MKGSOL -  converts equilibrium constants or concentrations from
%       mol/kg{H2O} to mol/kg{solution}
%
%       Usage: k2 = mkgh2o2mkgsol(k1,S)
%
%       Input parameters (scalars, vectors or matrices of SAME size): 
%          k1   -   equlilibrium constant or concentration [mol/kg{H2O}]
%          S    -   practical salinity
%   
%       Output parameter:
%          k2   -   equlilibrium constant or concentration [mol/kg{solution}]
%
% ------------------------------------------------------------------
%   written by: Elke Kossel, Matthias Haeckel (February 2013)
%               GEOMAR, Kiel, Germany
%   Disclaimer:
%   This software is provided "as is" without warranty of any kind.
% ------------------------------------------------------------------


%------------------------------------------------------------------------
% Check number of input parameters
%------------------------------------------------------------------------


if nargin < 2
     warning('MKGH2O2MKGSOL:Input','MKGH2O2MKGSOL: Missing input parameter! Please provide k and S!')
else

k2 = k1.*(1 - 0.001005.*S);

end





